## sml-nj 110.42-3

=== debian/changelog ===
sml-nj (110.42-3) unstable; urgency=low
  * New packaging, split the runtime system and compiler into separate
    packages.
  * This package now depends on smlnj, so the same functionality of the
    original sml-nj package will be installed: runtime, compiler, ml-lex
    and ml-yacc.

 -- Aaron Matthew Read <amread@nyx.net>  Fri,  6 Dec 2002 13:16:09 -0800

sml-nj (110.42-2) unstable; urgency=low

  * Fixed wrappers so they pass arguments. closes:Bug#171652
  * Fixed rules file to remove bashism "echo -e". closes:Bug#171638

 -- Aaron Matthew Read <amread@nyx.net>  Tue,  3 Dec 2002 19:36:51 -0800

sml-nj (110.42-1) unstable; urgency=low

  * Initial Release. closes: Bug#153880
  * Sponsored by Matthew Danish <mdanish@andrew.cmu.edu>
  * First attempt at a Debian package.
  * Kept sources as is, used wrapper to start sml with SMLNJ_HOME set.

 -- Aaron Matthew Read <amread@nyx.net>  Fri, 25 Oct 2002 15:54:10 -0700
