=== debian/control ===
Source: sml-nj
Section: devel
Priority: optional
Maintainer: Aaron Matthew Read <amread@nyx.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.6.1

Package: sml-nj
Architecture: any
Depends: smlnj
Suggests: sml-mode, smlnj-lib, ml-burg, ml-lex, ml-yacc
Description: Standard ML of New Jersey
 SML/NJ is an implementation of the Standard ML programming language.
 Standard ML has many features, including type safety, polymorphism,
 algebraic data types with pattern matching, higher-order functions,
 and a sophisticated module system. It is especially well-suited for
 writing compilers and other language processors.
 .
 This package exists to ease the transition to the new SML/NJ packaging. 
 Installation of this package will result in a SML/NJ system fit for
 development purposes.
